/*
    Project: TCGINA
    Version: V1.16
    File   : random.h

    Copyright (c) 2005-2007 Author of TCGINA DLL. All rights reserved.
    Public Key Fingerprint: 294B A769 4A0A CC05 DAE6 00DD FF47 8C72 4097 67CE

    Covered by TrueCrypt License 2.2 the full text of which is contained
    in the file License.txt included in TCGINA binary and source code
    distribution archives.

    The copyright notice of this source code file and the public key
    fingerprint must be retained in full.
*/

#ifndef __RANDOM_H_D47DF546F16B490bA6D8523603A5594D
#define __RANDOM_H_D47DF546F16B490bA6D8523603A5594D

#include <windows.h>

#ifdef __cplusplus
extern "C" {
#endif

BOOL InitRandom(void);
BOOL FillRandomPool(const void *pData, size_t cbDataSize);
BOOL GetRandom(void *pDest, size_t cbDestSize);
void DestroyRandom(void);

#ifdef __cplusplus
}
#endif

#endif

